Sources and connections

Source registration, connector credentials, crawls, provisioning, and access mapping endpoints.

DELETE/api/admin/source-principals/{principalId}/mapping

Path Parameters

principalId*string
Formatuuid

Response Body

*/*

curl -X DELETE "https://example.com/api/admin/source-principals/497f6eca-6276-4993-bfeb-53cbbbba6f08/mapping"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "sourceSystem": "string",  "sourceConnectionKey": "string",  "nativePrincipalId": "string",  "kind": "SOURCE_USER",  "observedEmail": "string",  "observedDisplayName": "string",  "ssoVerified": true,  "lastSeenAt": "2019-08-24T14:15:22Z",  "mapping": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "appUserId": "55f7b1b8-d250-4fc0-9a46-d317fe8f495c",    "appUserName": "string",    "appUserEmail": "string",    "method": "IDP_JOIN",    "status": "ACTIVE",    "evidence": "string",    "verifiedAt": "2019-08-24T14:15:22Z"  }}
PUT/api/admin/source-principals/{principalId}/mapping

Path Parameters

principalId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PUT "https://example.com/api/admin/source-principals/497f6eca-6276-4993-bfeb-53cbbbba6f08/mapping" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "sourceSystem": "string",  "sourceConnectionKey": "string",  "nativePrincipalId": "string",  "kind": "SOURCE_USER",  "observedEmail": "string",  "observedDisplayName": "string",  "ssoVerified": true,  "lastSeenAt": "2019-08-24T14:15:22Z",  "mapping": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "appUserId": "55f7b1b8-d250-4fc0-9a46-d317fe8f495c",    "appUserName": "string",    "appUserEmail": "string",    "method": "IDP_JOIN",    "status": "ACTIVE",    "evidence": "string",    "verifiedAt": "2019-08-24T14:15:22Z"  }}
PUT/api/admin/source-connections/identity-trust

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PUT "https://example.com/api/admin/source-connections/identity-trust" \  -H "Content-Type: application/json" \  -d '{}'
{  "sourceSystem": "string",  "sourceConnectionKey": "string",  "identityTrust": "UNTRUSTED",  "trustDecidedByUserId": "c13a9e51-ac33-4f14-8e04-bde9c7610df4",  "trustDecidedAt": "2019-08-24T14:15:22Z",  "userCount": 0,  "mappedUserCount": 0,  "unmappedUserCount": 0,  "groupCount": 0,  "lastSeenAt": "2019-08-24T14:15:22Z"}
PUT/api/admin/connectors/{sourceSystem}/{connectionKey}

Path Parameters

sourceSystem*string
connectionKey*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PUT "https://example.com/api/admin/connectors/string/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "sourceSystem": "string",  "sourceConnectionKey": "string",  "identityTrust": "UNTRUSTED",  "crawlEnabled": true,  "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b",  "actorUserId": "94141e08-adc7-44ce-bed3-45f031b9f36f",  "sourceConfig": {    "property1": null,    "property2": null  },  "contentCrawlIntervalSeconds": 0,  "credentialSet": true,  "credentialSetByUserId": "f3dfa348-e45a-431d-85d5-e0140ba2b395",  "credentialSetAt": "2019-08-24T14:15:22Z",  "configuredByUserId": "b1e5eaf0-126a-4b24-af02-97f7080249ca",  "configuredAt": "2019-08-24T14:15:22Z"}
DELETE/api/admin/connectors/{sourceSystem}/{connectionKey}/credential

Path Parameters

sourceSystem*string
connectionKey*string

Response Body

curl -X DELETE "https://example.com/api/admin/connectors/string/string/credential"
Empty
PUT/api/admin/connectors/{sourceSystem}/{connectionKey}/credential

Path Parameters

sourceSystem*string
connectionKey*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/admin/connectors/string/string/credential" \  -H "Content-Type: application/json" \  -d '{}'
Empty
curl -X GET "https://example.com/api/sources"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "title": "string",    "sourceSystem": "string",    "aclAuthority": "string",    "status": "string",    "classification": "string",    "fileName": "string",    "mediaType": "string",    "contentLength": 0,    "failureCode": "string",    "failureMessage": "string",    "embeddingProfileKey": "string",    "embeddingProvider": "string",    "embeddingModel": "string",    "embeddingDimensions": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
POST/api/sources

Query Parameters

classification?string
Default"CONFIDENTIAL"

Value in

  • "PUBLIC"
  • "INTERNAL"
  • "CONFIDENTIAL"
  • "RESTRICTED"
knowledgeSpaceId*string
Formatuuid

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/sources?knowledgeSpaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -F file="string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "title": "string",  "sourceSystem": "string",  "aclAuthority": "string",  "status": "string",  "classification": "string",  "fileName": "string",  "mediaType": "string",  "contentLength": 0,  "failureCode": "string",  "failureMessage": "string",  "embeddingProfileKey": "string",  "embeddingProvider": "string",  "embeddingModel": "string",  "embeddingDimensions": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
GET/api/admin/provisioning/connections

Response Body

*/*

curl -X GET "https://example.com/api/admin/provisioning/connections"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "alias": "string",    "providerProfile": "GENERIC_SCIM",    "configurationStatus": "string",    "operationalState": "DISABLED",    "usersEnabled": true,    "groupsEnabled": true,    "version": 0  }]
POST/api/admin/provisioning/connections

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/admin/provisioning/connections" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "alias": "string",  "providerProfile": "GENERIC_SCIM",  "configurationStatus": "string",  "operationalState": "DISABLED",  "usersEnabled": true,  "groupsEnabled": true,  "version": 0}
GET/api/admin/provisioning/connections/{connectionId}/credentials

Path Parameters

connectionId*string
Formatuuid

Response Body

*/*

curl -X GET "https://example.com/api/admin/provisioning/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "publicTokenId": "string",    "verifierKeyVersion": 0,    "usersScope": true,    "groupsScope": true,    "expiresAt": "2019-08-24T14:15:22Z",    "overlapEndsAt": "2019-08-24T14:15:22Z",    "revokedAt": "2019-08-24T14:15:22Z",    "lastUsedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  }]
POST/api/admin/provisioning/connections/{connectionId}/credentials

Path Parameters

connectionId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/admin/provisioning/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials" \  -H "Content-Type: application/json" \  -d '{}'
{  "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e",  "token": "string",  "publicTokenId": "string",  "usersScope": true,  "groupsScope": true,  "expiresAt": "2019-08-24T14:15:22Z"}
POST/api/admin/provisioning/connections/{connectionId}/credentials/{credentialId}/rotate

Path Parameters

connectionId*string
Formatuuid
credentialId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/admin/provisioning/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate" \  -H "Content-Type: application/json" \  -d '{}'
{  "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e",  "token": "string",  "publicTokenId": "string",  "usersScope": true,  "groupsScope": true,  "expiresAt": "2019-08-24T14:15:22Z"}
POST/api/admin/connectors/{sourceSystem}/{connectionKey}/test

Path Parameters

sourceSystem*string
connectionKey*string

Response Body

*/*

curl -X POST "https://example.com/api/admin/connectors/string/string/test"
{  "authenticated": true,  "connectionKey": "string",  "accountName": "string",  "identityName": "string",  "canReadContent": true,  "errorCode": "string"}
POST/api/admin/connectors/{sourceSystem}/{connectionKey}/crawl

Path Parameters

sourceSystem*string
connectionKey*string

Response Body

curl -X POST "https://example.com/api/admin/connectors/string/string/crawl"
Empty
POST/api/admin/connectors/{sourceSystem}/test

Path Parameters

sourceSystem*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/admin/connectors/string/test" \  -H "Content-Type: application/json" \  -d '{}'
{  "authenticated": true,  "connectionKey": "string",  "accountName": "string",  "identityName": "string",  "canReadContent": true,  "errorCode": "string"}
PATCH/api/admin/provisioning/connections/{connectionId}/state

Path Parameters

connectionId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PATCH "https://example.com/api/admin/provisioning/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/state" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "alias": "string",  "providerProfile": "GENERIC_SCIM",  "configurationStatus": "string",  "operationalState": "DISABLED",  "usersEnabled": true,  "groupsEnabled": true,  "version": 0}
GET/api/admin/source-principals

Response Body

*/*

curl -X GET "https://example.com/api/admin/source-principals"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "sourceSystem": "string",    "sourceConnectionKey": "string",    "nativePrincipalId": "string",    "kind": "SOURCE_USER",    "observedEmail": "string",    "observedDisplayName": "string",    "ssoVerified": true,    "lastSeenAt": "2019-08-24T14:15:22Z",    "mapping": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "appUserId": "55f7b1b8-d250-4fc0-9a46-d317fe8f495c",      "appUserName": "string",      "appUserEmail": "string",      "method": "IDP_JOIN",      "status": "ACTIVE",      "evidence": "string",      "verifiedAt": "2019-08-24T14:15:22Z"    }  }]
curl -X GET "https://example.com/api/admin/source-groups"
[  {    "principalId": "0a52818d-1e0c-4e64-848e-4d04f9e914e5",    "sourceSystem": "string",    "sourceConnectionKey": "string",    "nativePrincipalId": "string",    "observedDisplayName": "string",    "membershipSnapshotId": "bf15488b-dd8c-4f47-a2db-542cdd4746b5",    "membershipGeneration": 0,    "sealedAt": "2019-08-24T14:15:22Z",    "members": [      {        "principalId": "0a52818d-1e0c-4e64-848e-4d04f9e914e5",        "nativePrincipalId": "string",        "observedDisplayName": "string",        "observedEmail": "string",        "appUserId": "55f7b1b8-d250-4fc0-9a46-d317fe8f495c",        "appUserName": "string"      }    ]  }]
curl -X GET "https://example.com/api/admin/source-connections"
[  {    "sourceSystem": "string",    "sourceConnectionKey": "string",    "identityTrust": "UNTRUSTED",    "trustDecidedByUserId": "c13a9e51-ac33-4f14-8e04-bde9c7610df4",    "trustDecidedAt": "2019-08-24T14:15:22Z",    "userCount": 0,    "mappedUserCount": 0,    "unmappedUserCount": 0,    "groupCount": 0,    "lastSeenAt": "2019-08-24T14:15:22Z"  }]
GET/api/admin/connectors/{sourceSystem}

Path Parameters

sourceSystem*string

Response Body

*/*

curl -X GET "https://example.com/api/admin/connectors/string"
[  {    "sourceSystem": "string",    "sourceConnectionKey": "string",    "identityTrust": "UNTRUSTED",    "crawlEnabled": true,    "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b",    "actorUserId": "94141e08-adc7-44ce-bed3-45f031b9f36f",    "sourceConfig": {      "property1": null,      "property2": null    },    "contentCrawlIntervalSeconds": 0,    "credentialSet": true,    "credentialSetByUserId": "f3dfa348-e45a-431d-85d5-e0140ba2b395",    "credentialSetAt": "2019-08-24T14:15:22Z",    "configuredByUserId": "b1e5eaf0-126a-4b24-af02-97f7080249ca",    "configuredAt": "2019-08-24T14:15:22Z"  }]
GET/api/admin/connectors/{sourceSystem}/{connectionKey}/scopes

Path Parameters

sourceSystem*string
connectionKey*string

Response Body

*/*

curl -X GET "https://example.com/api/admin/connectors/string/string/scopes"
[  {    "key": "string",    "displayName": "string",    "reachable": true,    "admissible": true,    "instruction": "string"  }]
GET/api/admin/connectors/{sourceSystem}/{connectionKey}/activity

Path Parameters

sourceSystem*string
connectionKey*string

Response Body

*/*

curl -X GET "https://example.com/api/admin/connectors/string/string/activity"
{  "sourceSystem": "string",  "sourceConnectionKey": "string",  "objectsTotal": 0,  "objectsActive": 0,  "objectsArchived": 0,  "lastObjectAt": "2019-08-24T14:15:22Z",  "lastCrawlAt": "2019-08-24T14:15:22Z",  "componentCheckpoints": [    {      "component": "string",      "observedCursor": "string",      "captureStatus": "string",      "incompleteReason": "string",      "observedAt": "2019-08-24T14:15:22Z",      "lastSuccessfulCursor": "string",      "lastSuccessfulAt": "2019-08-24T14:15:22Z"    }  ],  "recentAttempts": [    {      "outcome": "string",      "objectsMaterialized": 0,      "objectsRotated": 0,      "objectsRematerialized": 0,      "objectsRetired": 0,      "objectsFailed": 0,      "errorCode": "string",      "errorMessage": "string",      "attemptedAt": "2019-08-24T14:15:22Z"    }  ]}
GET/api/admin/connectors/sources

Response Body

*/*

curl -X GET "https://example.com/api/admin/connectors/sources"
[  {    "sourceSystem": "string",    "displayName": "string"  }]
DELETE/api/admin/provisioning/connections/{connectionId}/credentials/{credentialId}

Path Parameters

connectionId*string
Formatuuid
credentialId*string
Formatuuid

Response Body

curl -X DELETE "https://example.com/api/admin/provisioning/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty

Last updated on